//
//  RecordViewController.m
//  UserDefault
//
//  Created by akash on 3/8/16.
//  Copyright (c) 2016 evon. All rights reserved.
//

#import "RecordViewController.h"


@interface RecordViewController ()
{
    NSArray * arrOfNamesAndDepartment;
    NSArray * arrOfEmployeeRecordFromDatabase;
}
@end

@implementation RecordViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.tableView.estimatedRowHeight=142;
    self.tableView.rowHeight=UITableViewAutomaticDimension;
    // Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
-(void)viewWillAppear:(BOOL)animated{
    
    //arrOfNamesAndDepartment= [[NSUserDefaults standardUserDefaults] objectForKey:@"recordArray"];
    arrOfEmployeeRecordFromDatabase=[[DataBaseManager sharedDatabaseManager] getAllEmployees];
    
    
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    
    return arrOfEmployeeRecordFromDatabase.count;
    
    
}


- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    
    NSString *cellIdentifier = @"SubTable";
    SubRecordTableViewCell *cell;
    cell = [tableView dequeueReusableCellWithIdentifier:cellIdentifier];
//    NSDictionary *record=[arrOfNamesAndDepartment objectAtIndex:indexPath.row];
//    [cell.lblRecordName setText:[record objectForKey:@"name"]];
//    [cell.lblRecordDepartment setText:[record objectForKey:@"department"]];
    EmpModel *model = [arrOfEmployeeRecordFromDatabase objectAtIndex:indexPath.row];
    cell.lblRecordName.text = model.empName;
    cell.lblRecordAddress.text = model.empAddress;
    cell.lblRecordEmail.text = model.empEmail;
    cell.lblRecordPhone.text = model.empPhoneNumber;
    return cell;
}






/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
